


#command  @ <nT>, <nL> TO <nB>, <nR> [PANEL] [COLOR <Color>] ;
      =>  DispBox(<nT>, <nL>, <nB>, <nR>, Repl(Chr(176),8) [,<Color>])

#command DEACTIVATE WINDOW <o> => <o>\[9]:Destroy() ; PopWindow()

#command REACTIVATE WINDOW <o> => SetAppWindow(<o>\[9])

#command DEFINE WINDOW <o> FROM <nT>,<nL> TO <nB>,<nR> ;
         [PARENT <oParent>] ;
         [OWNER <oOwner>]   ;
         [TITLE <cTitle>] ;
         [COLOR <cColor>]  ;
         [<double:DOUBLE>]  ;
                             ;
     =>                      ;
         <o> := ;
         { <oParent>,                    ;     // 1 Parent
           <oOwner>,                     ;     // 2 Owner
           [{<nL>*7,500-((<nB>+1)*20)}], ;     // 3 Position
           [(<nB>-<nT>)+1],              ;     // 4 Rows
           [(<nR>-<nL>)+1],              ;     // 5 Columns
           <cColor>,                     ;     // 6 Color
           <.double.>,                   ;     // 7 Double
           <cTitle>,                     ;     // 8 Title
           nil,                          ;     // 9 Object
          }

#command ACTIVATE WINDOW <o> => ;
         <o>\[9] := XbpCrt():new( <o>\[1], ;    // Parent
                                  <o>\[2], ;    // Owner
                                  <o>\[3], ;    // Position
                                  <o>\[4], ;    // Rows
                                  <o>\[5], ;    // Columns
                                  <o>\[8]) ;    // Title
         ; <o>\[9]:create()                ;
         ; PushWindow( SetAppWindow() )    ;
         ; SetAppWindow(<o>\[9])

#command  SET NEAR <x:ON,OFF,&>  =>  Set( _SET_SOFTSEEK, <(x)> )
#command  SET NEAR (<x>)         =>  Set( _SET_SOFTSEEK, <x> )


** OIS: Modified **
*#command  USE <(dbFile)> ;
*          [VIA <dbe>] ;
*          [ORDER <order>] ;
*          [ALIAS <alias>] ;
*          [<new: NEW>] ;
*          [<exc: EXCLUSIVE>] ;
*          [<sha: SHARED>] ;
*          [<reo: READONLY>] ;
*          [INDEX <(index1)> [,;
*                 <(indexN)>]] ;
*      =>  dbUseArea( <.new.>, (IIF( Empty(<(index1)>),"DBFCDX",<(dbe)>)), <(dbFile)>, <(alias)>, ;
*                    iif(<.sha.> .or. <.exc.>, !<.exc.>, NIL), <.reo.>) ;
*          [; dbSetIndex(<(index1)>)] [; dbSetIndex( <(indexN)> )] ;
*          [; OrdListAdd((<(dbfile)>),<(order)>)]



** DONNAY: ORIGINAL **
*#command  USE <(dbFile)> ;
*          [VIA <dbe>] ;
*          [ORDER <order>] ;
*          [ALIAS <alias>] ;
*          [<new: NEW>] ;
*          [<exc: EXCLUSIVE>] ;
*          [<sha: SHARED>] ;
*          [<reo: READONLY>] ;
*          [INDEX <(index1)> [,;
*                 <(indexN)>]] ;
*      =>  dbUseArea( <.new.>, IIF(!Empty(<(index1)>),'DBFNTX',<(dbe)>), <(dbFile)>, <(alias)>, ;
*                    iif(<.sha.> .or. <.exc.>, !<.exc.>, NIL), <.reo.>) ;
*          [; dbSetIndex( <(index1)> )] [; dbSetIndex( <(indexN)> )] ;
*          [; OrdSetFocus(<order>) ]
*

** TEST **

#command  USE <(dbFile)> ;
          [ORDER <order>] ;
          [ALIAS <alias>] ;
          [<new: NEW>] ;
          [<exc: EXCLUSIVE>] ;
          [<sha: SHARED>] ;
          [<reo: READONLY>] ;
          [INDEX <(index1)> [,;
                 <(indexN)>]] ;
      =>  dbUseArea( <.new.>, "FOXCDX", <(dbFile)>, <(alias)>, ;
                   iif(<.sha.> .or. <.exc.>, !<.exc.>, NIL), <.reo.>) ;
          [; dbSetIndex( <(index1)> )] [; dbSetIndex( <(indexN)> )] ;
          [; OrdListAdd(<(dbFile)>+'.CDX')] ;
          [; SetTagOrder(<(order)>, <(dbFile)> + '.CDX')]




#command  USE <(dbFile)> ;
          [ALIAS <alias>] ;
          [<new: NEW>] ;
          [<exc: EXCLUSIVE>] ;
          [<sha: SHARED>] ;
          [<reo: READONLY>] ;
          [INDEX <(index1)> [,;
                 <(indexN)>]] ;
      =>  dbUseArea( <.new.>, "FOXCDX", <(dbFile)>, <(alias)>, ;
                   iif(<.sha.> .or. <.exc.>, !<.exc.>, NIL), <.reo.>) ;
          [; dbSetIndex( <(index1)> )] [; dbSetIndex( <(indexN)> )] ;
          ; IIF([Empty(<(index1)>) .AND.] File(<(dbFile)>+'.CDX'), ;
                OrdListAdd(<(dbFile)>+'.CDX'), nil )


#command  SET ORDER TO <(xOrder)> ;
                   [IN <(cOrdBag)>] ;
     =>  ordSetFocus( <(xOrder)> [, <(cOrdBag)>] ) ;
     [; SetTagOrder(<(xOrder)>, alias() + '.CDX')]



**[; ChkTagOrder(<(xorder)>)]

#command READ               => ;
      MEMVAR->nLastKey := 0  ;
      ; ReadModal(getList) ; getList := {}


#xtranslate IsBlank( <a> ) => Empty( <a> )

#command  @ <nRow>, <nCol> GET <Var> ;
                      [PICTURE <cPict>] ;
                        [VALID <lValid> ERROR <cErrorMsg>] ;
                         [WHEN <lWhen>] ;
                         [SEND <message>] ;
      =>  aadd( getList, ;
            ( Get():new( <nRow>, <nCol>, __gBlock(<Var>), __gName(<Var>), ;
                        <cPict>, NIL, [{||IIF(<lValid>,nil,MsgBox(<cErrorMsg>)),<lValid>}], ;
                        <{lWhen}>) ):display() ) ;
       [; Atail( getList ):<message>]

#command  @ <nRow>, <nCol> GET <Var> WINDOW <oWindow> ;
      =>  aadd( getList, ;
            ( Get():new( <nRow>, <nCol>, __gBlock(<Var>), __gName(<Var>), ;
                        nil, nil, nil , nil ) ):display() )



#command COPY TO ARRAY <aArray>  ;
         [FIELDS <flds,...>] ;
         [   FOR <for>] ;
         [ WHILE <whl>] ;
         [  NEXT <nxt>] ;
         [RECORD <rcd>] ;
         [ <rst: REST>] ;
         [ ALL ] ;
      => _dbCopyArray( <aArray>, { <(flds)> }, ;
                    <{for}>, <{whl}>, <nxt>, <rcd>, <.rst.> )

#command @ <nTop>, <nLeft> TO <nBottom>, <nRight> SCROLL UP [BY <nRows>] => ;
    Scroll( <nTop>, <nLeft>, <nBottom>, <nRight>, <nRows> )


#command @ <nTop>, <nLeft> TO <nBottom>, <nRight> SCROLL DOWN BY <nRows> => ;
    Scroll( <nTop>, <nLeft>, <nBottom>, <nRight>, -1[*<nRows>] )


#include "inkey.ch"

#define LastKey() MEMVAR->nLastKey
#define lastkey() MEMVAR->nLastKey
#define LASTKEY() MEMVAR->nLastKey

