*--
*-- SEE32.CH for Alaska XBase++
*--
*-- For Version 7.3.0 of SMTP/POP3/IMAP Email Engine
*--

#define SEE_MIN_RESPONSE_WAIT    1
#define SEE_MAX_RESPONSE_WAIT    2
#define SEE_CONNECT_WAIT         3
#define SEE_DISABLE_MIME         4
#define SEE_QUOTED_PRINTABLE     8
#define SEE_AUTO_CALL_DRIVER     9
#define SEE_FILE_PREFIX         10
#define SEE_MAX_SMTP_WAIT       11
#define SEE_MAX_POP3_WAIT       12
#define SEE_SLEEP_TIME          13
#define SEE_DECODE_UNNAMED      14
#define SEE_SMTP_PORT           15
#define SEE_POP3_PORT           16
#define SEE_MAX_LINE_LENGTH     17
#define SEE_BLOCKING_MODE       18
#define SEE_ALLOW_8BITS         19
#define SEE_LOG_FILE            20
#define SEE_HIDE_SAVED_MSG      21
#define SEE_HIDE_TO_ADDR        22
#define SEE_ADDRESS_DELIMITER   23
#define SEE_WSACLEANUP          24
#define SEE_PATH_DELIMITER      25
#define SEE_ATTACH_DELIMITER    26
#define SEE_ENABLE_IMAGE        27
#define SEE_RAW_MODE            28
#define SEE_ENABLE_ESMTP        29
#define SEE_ENABLE_APOP         30
#define SEE_ATTACH_BASE_NUMBER  31
#define SEE_IGNORE_REJECTED     32
#define SEE_WRITE_CONTENT_TYPE  33
#define SEE_SET_FILE_PREFIX     34
#define SEE_HTML_CHARSET        35
#define SEE_HIDE_HEADERS        36
#define SEE_KEEP_RFC822_INTACT  37
#define SEE_IMAP_PORT           38
#define SEE_EXPUNGE_ON_CLOSE    39
#define SEE_GUT_ATTACHMENTS     40
#define SEE_ALLOW_PARTIAL       41

#define CHARSET_BLANK            0
#define CHARSET_US_ASCII         1
#define CHARSET_8859             4
#define CHARSET_ISO_8859_1       4
#define CHARSET_ISO_8859_8       5
#define CHARSET_WIN_1252         6
#define CHARSET_WIN_1255         7
#define CHARSET_UTF8             8
#define CHARSET_ISO_8859_2      10
#define CHARSET_ISO_8859_7      11
#define CHARSET_WIN_1250        12
#define CHARSET_ISO_8859_3      13
#define CHARSET_ISO_8859_4      14

#define SEE_GET_ERROR_TEXT       1
#define SEE_GET_COUNTER          2
#define SEE_GET_RESPONSE         3
#define SEE_GET_SOCK_ERROR       4

#define SEE_GET_MESSAGE_BYTES_READ  10
#define SEE_GET_ATTACH_BYTES_READ   11
#define SEE_GET_TOTAL_BYTES_READ    12
#define SEE_GET_MESSAGE_BYTES_SENT  13
#define SEE_GET_ATTACH_BYTES_SENT   14
#define SEE_GET_TOTAL_BYTES_SENT    15
#define SEE_GET_VERSION             16
#define SEE_GET_MSG_COUNT           17
#define SEE_GET_MSG_SIZE            18
#define SEE_GET_BUFFER_COUNT        19
#define SEE_GET_CONNECT_STATUS      20
#define SEE_GET_REGISTRATION        21
#define SEE_GET_ATTACH_COUNT        22
#define SEE_GET_LAST_RESPONSE       23
#define SEE_GET_VERIFY_STATUS       24
#define SEE_GET_SERVER_IP           25
#define SEE_GET_BUILD               26
#define SEE_GET_SOCKET              27
#define SEE_GET_LOCAL_IP            28
#define SEE_GET_ATTACH_NAMES        29
#define SEE_GET_LAST_RECIPIENT      30
#define SEE_GET_AUTH_PROTOCOLS      31
#define SEE_GET_ATTACH_TYPES        32
#define SEE_GET_ATTACH_IDS          33
#define SEE_GET_UIDVALIDITY         34

#define SEE_COPY_BUFFER             40
#define SEE_WRITE_BUFFER            41

#define SEE_SET_REPLY               50
#define SEE_SET_HEADER              51
#define SEE_WRITE_TO_LOG            52
#define SEE_SET_FROM                53
#define SEE_SET_CONTENT_TYPE        54
#define SEE_SET_TRANSFER_ENCODING   55
#define SEE_ADD_HEADER              56
#define SEE_SET_SECRET              57
#define SEE_SET_USER                58
#define SEE_SET_TEXT_MESSAGE        59
#define SEE_FORCE_INLINE            60
#define SEE_SET_ATTACH_CONTENT_TYPE 61
#define SEE_AUTHENTICATE_PROTOCOL   62
#define SEE_SET_CONTENT_TYPE_PREFIX 63
#define SEE_ENABLE_XMAILER          64
#define SEE_SET_DEFAULT_ZONE        65
#define SEE_SET_ATTACH_DESCRIPTION  66
#define SEE_REPLACE_WITH_COMMAS     67
#define SEE_SET_MULTIPART           68
#define SEE_SET_TIME_ZONE           69
#define SEE_SET_RAWFILE_PREFIX      70
#define SEE_SET_IMAP_LIST_ARG       71
#define SEE_SET_FOOTER              72
#define SEE_SET_LOCAL_IP            73
#define SEE_SET_HELO_STRING         74
#define SEE_SET_CONNECT_ATTEMPTS    75
#define SEE_REPLACE_UNDERSCORES     76

#define QUOTED_OFF              0
#define QUOTED_PLAIN            1
#define QUOTED_HTML             2
#define QUOTED_RICH             3
#define QUOTED_8859             4
#define QUOTED_ISO_8859_1       4
#define QUOTED_ISO_8859_8       5
#define QUOTED_WIN_1252         6
#define QUOTED_WIN_1255         7
#define QUOTED_USER             9
#define QUOTED_ISO_8859_2      10
#define QUOTED_ISO_8859_7      11
#define QUOTED_WIN_1250        12
#define QUOTED_ISO_8859_3      13
#define QUOTED_ISO_8859_4      14
#define QUOTED_UTF8            15

#define INLINE_TEXT_OFF         0
#define INLINE_TEXT_INLINE      1
#define INLINE_TEXT_ATTACHMENT  2

#define AUTHENTICATE_CRAM       1
#define AUTHENTICATE_LOGIN      2
#define AUTHENTICATE_PLAIN      4

#define CONTENT_TYPE_DEFAULT     0
#define CONTENT_TYPE_MIXED       1
#define CONTENT_TYPE_ALTERNATIVE 2
#define CONTENT_TYPE_RELATED     3

#define IMAP_FLAG_SEEN        1
#define IMAP_FLAG_ANSWERED    2
#define IMAP_FLAG_FLAGGED     4
#define IMAP_FLAG_DELETED     8
#define IMAP_FLAG_DRAFT      16
#define IMAP_FLAG_RECENT     32

#define IMAP_GET_FLAGS        1
#define IMAP_SET_FLAGS        2
#define IMAP_DEL_FLAGS        3

#define IMAP_SEARCH_MSG_COUNT 1
#define IMAP_SEARCH_FIRST_MSG 2
#define IMAP_SEARCH_NEXT_MSG  3

#define SEE_GET_DATE           1
#define SEE_GET_FROM           2
#define SEE_GET_REPLY_TO       3
#define SEE_GET_SUBJECT        4
#define SEE_GET_TO             5

#define STUNNEL_TASKBAR_ICON    1
#define STUNNEL_DISABLE_LOGGING 2

#define SSL_CONFIG_OPTIONS     1

FUNCTION XseeUnQuoteBuffer(cSrcPtr,cDstPtr,nDstLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeUnQuoteBuffer",@cSrcPtr,@cDstPtr,nDstLen)

FUNCTION XseeConfigSSL(nConfigCode,cConfigPtr)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeConfigSSL",nConfigCode,@cConfigPtr)

FUNCTION XseeAbort(nChan)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeAbort",nChan)

FUNCTION XseeAttach(nNbrChans,nKeyCode)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeAttach",nNbrChans,nKeyCode)

FUNCTION XseeClose(nChan)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeClose",nChan)

FUNCTION XseeCommand(nChan,cCommand)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeCommand",nChan,@cCommand)

FUNCTION XseeDebug(nChan,nIndex,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDebug",nChan,nIndex,@cBuffer,nBufLen)

FUNCTION XseeDecodeBuffer(cCodedBuf,cClearBuf,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDecodeBuffer",@cCodedBuf,@cClearBuf,nBufLen)

FUNCTION XseeDeleteEmail(nChan,nMsgNbr)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDeleteEmail",nChan,nMsgNbr)

FUNCTION XseeDriver(nChan)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDriver",nChan)

FUNCTION XseeEncodeBuffer(cClearBuf,cCodedBuf,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeEncodeBuffer",@cClearBuf,@cCodedBuf,nBufLen)

FUNCTION XseeErrorText(nChan,nCode,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeErrorText",nChan,nCode,@cBuffer,nBufLen)

FUNCTION XseeExtractLine(cSource,nLineNbr,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeExtractLine",@cSource,nLineNbr,@cBuffer,nBufLen)

FUNCTION XseeExtractText(nChan,nCode,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeExtractText",nChan,nCode,@cBuffer,nBufLen)

FUNCTION XseeGetEmailCount(nChan)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetEmailCount",nChan)

FUNCTION XseeGetEmailFile(nChan,nMsgNbr,cFileName,cEmailDir,cAttachDir)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetEmailFile",nChan,nMsgNbr,@cFileName,@cEmailDir,@cAttachDir)

FUNCTION XseeGetEmailLines(nChan,nMsgNbr,nLines,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetEmailLines",nChan,nMsgNbr,nLines,@cBuffer,nBufLen)

FUNCTION XseeGetEmailSize(nChan,nMsgNbr)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetEmailSize",nChan,nMsgNbr)

FUNCTION XseeGetEmailUID(nChan,nMsgNbr,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetEmailUID",nChan,nMsgNbr,@cBuffer,nBufLen)

FUNCTION XseeGetHeader(nChan,nParam,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeGetHeader",nChan,nParam,@cBuffer,nBufLen)

FUNCTION XseeForwardEmail(nChan,cRcpt,cCC,cBCC,cSubj,cMsg,cForward)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeForwardEmail",nChan,@cRcpt,@cCC,@cBCC,@cSubj,@cMsg,@cForward)

FUNCTION XseeIntegerParam(nChan,nIndex,nValue)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeIntegerParam",nChan,nIndex,nValue)

FUNCTION XseePop3Connect(nChan,cServer,cUser,cPassword)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seePop3Connect",nChan,@cServer,@cUser,@cPassword)

FUNCTION XseePop3Source(nChan,cFilename)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seePop3Source",nChan,@cFilename)

FUNCTION XseeQuoteBuffer(cClearBuf,cCodedBuf,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeQuoteBuffer",@cClearBuf,@cCodedBuf,nBufLen)

FUNCTION XseeRelease()
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeRelease")

FUNCTION XseeSendEmail(nChan,cRcpt,cCC,cBCC,cSubj,cMsg,cAttach)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSendEmail",nChan,@cRcpt,@cCC,@cBCC,@cSubj,@cMsg,@cAttach)

FUNCTION XseeSendHTML(nChan,cRcpt,cCC,cBCC,cSubj,cMsg,cImage,cAltTxt,cAttach)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSendHTML",nChan,@cRcpt,@cCC,@cBCC,@cSubj,@cMsg,@cImage,@cAltTxt,@cAttach)

FUNCTION XseeSmtpConnect(nChan,cServer,cFrom,cReply)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSmtpConnect",nChan,@cServer,@cFrom,@cReply)

FUNCTION XseeStatistics(nChan,nIndex)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeStatistics",nChan,nIndex)

FUNCTION XseeStringParam(nChan,nIndex,cValue)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeStringParam",nChan,nIndex,@cValue)

FUNCTION XseeVerifyFormat(cEmailAddr)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeVerifyFormat",@cEmailAddr)

FUNCTION XseeVerifyUser(nChan,cEmailAddr)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeVerifyUser",nChan,@cEmailAddr)

FUNCTION XseeDecodeUU(cCoded,cPlain)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDecodeUU",@cCoded,@cPlain)

Function XseeDecodeUTF8(cUTF8Buffer,cUnicodeBuffer)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeDecodeUTF8",@cUTF8Buffer,@cUnicodeBuffer)

Function XseeEncodeUTF8(nUnicodeValue,cUTF8Buffer)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeEncodeUTF8",nUnicodeValue,@cUTF8Buffer)

Function XseeAttachmentParams(cContentType,cXferEncoding,cDisposition,cDescription)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeAttachmentParams",@cContentType,@cXferEncoding,@cDisposition,@cDescription)

FUNCTION XseeByteToShort(cBuffer)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeByteToShort",@cBuffer)

FUNCTION XseeShortToByte(cBuffer)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeShortToByte",@cBuffer)

FUNCTION XseeSetErrorText(nErrCode,cErrorText)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSetErrorText",nErrCode,@cErrorText)

FUNCTION XseeImapConnect(nChan,cServer,cUser,cPass)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapConnect",nChan,@cServer,@cUser,@cPass)

FUNCTION XseeImapCopyMBmail(nChan,nMessage,cMailBox)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapCopyMBmail",nChan,nMessage,@cMailBox)

FUNCTION XseeImapCreateMB(nChan,cMailBox)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapCreateMB",nChan,@cMailBox)

FUNCTION XseeImapDeleteMB(nChan,cMailBox)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapDeleteMB",nChan,@cMailBox)

FUNCTION XseeImapFlags(nChan,nMsgNbr,nCommand,nFlagsMask)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapFlags",nChan,nMsgNbr,nCommand,nFlagsMask)

FUNCTION XseeImapListMB(nChan,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapListMB",nChan,@cBuffer,nBufLen)

FUNCTION XseeImapMsgNumber(nChan,nCommand)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapMsgNumber",nChan,nCommand)

FUNCTION XseeImapRenameMB(nChan,cFromName,cToName)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapRenameMB",nChan,@cFromName,@cToName)

FUNCTION XseeImapSearch(nChan,cSearchArgs,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapSearch",nChan,@cSearchArgs,@cBuffer,nBufLen)

FUNCTION XseeImapSelectMB(nChan,cMailBox)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapSelectMB",nChan,@cMailBox)

FUNCTION XseeImapSource(nChan,cFileName)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapSource",nChan,@cFileName)

FUNCTION XseeSmtpTarget(nChan,cFilename,cFromPtr,cReplyTo)               
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSmtpTarget",nChan,@cFilename,@cFromPtr,@cReplyTo)

FUNCTION XseeStartProgram(cCmdLine)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeStartProgram",@cCmdLine)

FUNCTION XseeKillProgram(nProcess,nExitCode)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeKillProgram",nProcess,nExitCode)

FUNCTION XseeSleep(nMilliseconds)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSleep",nMilliseconds)

FUNCTION XseeReadQuoted(cPathName,cBuffer,nBufLen,nRequested) 
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeReadQuoted",@cPathName,@cBuffer,nBufLen,nRequested)

FUNCTION XseeTestFileSet(nChan,cFileSet,cBuffer,nBufLen)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeTestFileSet",nChan,@cFileSet,@cBuffer,nBufLen)

FUNCTION XseeIsConnected(nChan)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeIsConnected",nChan)

FUNCTION XseeSetProxySSL(nProxyCode,nProxyFlags,cProxyDir,cProxyCert,cProxyExe)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSetProxySSL",nProxyCode,nProxyFlags,@cProxyDir,@cProxyCert,@cProxyExe)

FUNCTION XseeSmtpConnectSSL(nChan,nProxyPort,nSmtpPort,cSmtpServer,cUser,cPass,cFrom,cReply,cProxyIP)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeSmtpConnectSSL",nChan,nProxyPort,nSmtpPort,@cSmtpServer,@cUser,@cPass,@cFrom,@cReply,@cProxyIP)

FUNCTION XseePop3ConnectSSL(nChan,nProxyPort,nPop3Port,cPop3Server,cUser,cPass,cProxyIP)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seePop3ConnectSSL",nChan,nProxyPort,nPop3Port,cPop3Server,@cUser,@cPass,@cProxyIP)

FUNCTION XseeImapConnectSSL(nChan,nProxyPort,nImapPort,cImapServer,cUser,cPass,cProxyIP)
RETURN DLLCALL("SEE32.DLL",DLL_STDCALL,"seeImapConnectSSL",nChan,nProxyPort,nImapPort,cImapServer,@cUser,@cPass,@cProxyIP)

