PROCEDURE QCOLOR

#include "ois.ch"
#include 'DCDIALOG.CH'
#include 'SET.CH'
#include 'XBP.CH'
#include 'APPEVENT.CH'
#include 'DCPICK.CH'
#include 'DCAPP.CH'
#include 'DCBITMAP.CH'
#include 'DCICON.CH'
#include "setcurs.ch"
#include "dcprint.ch"
 #include "Dmlb.ch"

#define COLOR_RED        GraMakeRGBColor( { 255,   0,   0 } )
#define COLOR_DARKRED    GraMakeRGBColor( { 127,   0,   0 } )
#define COLOR_GREEN      GraMakeRGBColor( {   0, 255,   0 } )
#define COLOR_DARKGREEN  GraMakeRGBColor( {   0, 127,   0 } )
#define COLOR_BLUE       GraMakeRGBColor( {   0,   0, 255 } )
#define COLOR_DARKBLUE   GraMakeRGBColor( {   0,   0, 127 } )
#define COLOR_CYAN       GraMakeRGBColor( {   0, 255, 255 } )
#define COLOR_DARKCYAN   GraMakeRGBColor( {   0, 127, 127 } )
#define COLOR_YELLOW     GraMakeRGBColor( { 255, 255,   0 } )
#define COLOR_BROWN      GraMakeRGBColor( { 127, 127,   0 } )
#define COLOR_PINK       GraMakeRGBColor( { 255,   0, 255 } )
#define COLOR_DARKPINK   GraMakeRGBColor( { 127,   0, 127 } )
#define COLOR_WHITE      GraMakeRGBColor( { 255, 255, 255 } )
#define COLOR_BLACK      GraMakeRGBColor( {   0,   0,   0 } )
#define COLOR_PALEGRAY   GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_DARKGRAY   GraMakeRGBColor( { 127, 127, 127 } )
#define COLOR_ORANGE     GraMakeRGBColor( { 253, 120,  41 } )
#define COLOR_LTORANGE   GraMakeRGBColor( { 250, 205,   0 } )
#define COLOR_LTBLUE     GraMakeRGBColor( {  30, 187, 255 } )
#define COLOR_LTYELLOW   GraMakeRGBColor( { 128, 128,   0 } )
#define COLOR_DKYELLOW   GraMakeRGBColor( { 212, 212,   0 } )
#define COLOR_DKBROWN    GraMakeRGBColor( {  72,  72,   0 } )
#define COLOR_SLATEGRAY  GraMakeRGBColor( { 158, 182, 205 } )
#define COLOR_SILVER     GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_ICEGREEN   GraMakeRGBColor( { 222, 255, 189 } )




SetKey(K_F10,{||MEMVAR->nLastKey := -9, _Keyboard(CHR(K_CTRL_END))})

SetKey(K_F1,{||MEMVAR->nLastKey := 28, _Keyboard(CHR(K_CTRL_END))})


PUBLIC QCOLORINV,QCOLORWARN,QCOLORBACK,QREEFER,QPAYROLL,QMAINT,QQCOLOR,QFUELTAX,QCLAIM,QHWYMSTR,XXRETRIES,QDRIVER,qqRound,;
QCOMP,QXDATE,QADV,QMLGDIR,QEDI,QQHLITE,QQONE,QQTWO,QQTHREE,QQFOUR,qpost,qcontr,localx,SPECTRAC,qpallets,qdirect,QSELPRNT, ;
Qckprint,Qprod,qqseries,aPres,abuttons,breakerror,qqemail,qqdoubles,qqcolorset,qqcolormain,qqprolen,qqdetail,qlocalc,plocation,qqdt

qqdt=1
set default to &subdef
set path to &newpath
if subdef<>'\\'
dc_chdir(subdef)
endif

qqprolen=6
use opcontrl
store FieldInfo( 2, FLD_LEN  ) to qqprolen
use
SET DELE ON
SET NEAR OFF
SET CENTURY ON


USE PARTSLOC
COUNT TO NLOCS
PLOCATION=SPACE(3)
IF NLOCS>0
        GOTO TOP
        LOCA FOR DEFAULT='Y'
        STORE LOCATION TO PLOCATION
        IF EOF()
                GOTO TOP
                STORE LOCATION TO PLOCATION
        ENDIF
ENDIF
USE

*ON ERROR DO CKERROR WITH ERROR(), PROGRAM(), LINENO(), MESSAGE()
USE SETCOLOR ORDER USERNAME


SEEK "FRED"
 IF EOF()
 SEEK "DEFAULT"
 ENDIF
//STORE TRIM(INVRSFORE)+'/'+TRIM(INVRSBACK) TO QCOLORINV
USE COLORSET
STORE "{"+ALLTRIM(WINDOW1)+"}" TO QQONE
STORE "{"+ALLTRIM(WINDOW2)+"}"TO QQTWO
STORE "{"+ALLTRIM(WINDOW3)+"}"TO QQTHREE
STORE "{"+ALLTRIM(WINDOW4)+"}"TO QQFOUR
STORE "{"+ALLTRIM(HILITE)+"}"TO QQHLITE
STORE "{"+ALLTRIM(WINDOWMAIN)+"}"TO QQCOLORMAIN
if !empty(barfore) .and. !empty(barback)
STORE "{"+ALLTRIM(BARFORE)+"}"TO QQBARF
STORE "{"+ALLTRIM(BARBACK)+"}"TO QQBARB
endif
store menucolor to qqColorset

DC_SetPopkey( xbeK_F2 )



DC_GuiAlertColor( { GRA_CLR_YELLOW, GRA_CLR_RED } )




close all
  IF !empty(cConfig)

oConfig4 := DC_XbpPushButtonXPConfig():new()
oConfig4:bitmapOffset := 0
oConfig4:fgColorMouse := COLOR_BLACK
oConfig4:bgColorMouse := COLOR_SLATEGRAY
oConfig4:fgColor := COLOR_BLACK
oConfig4:bgColor := COLOR_SILVER
oConfig4:fgColorSelected := COLOR_BLACK
oConfig4:bgColorSelected := COLOR_ICEGREEN
oConfig4:fgColorClick := COLOR_BLACK
oConfig4:bgColorClick := COLOR_ICEGREEN
oConfig4:gradientStep := 9
oConfig4:gradientReverse := .T.
oConfig4:radius := 10
oConfig4:outline := .T.
oConfig4:font := '8.Arial Bold'
oConfig4:mouseOverFont := '10.Arial Bold'
oConfig4:mouseOverScale := 1.2
oConfig4:bitmapScale := 1.0
oConfig4:borderColor := COLOR_DARKBLUE


DC_PushButtonStyle(oConfig4)
DC_ExpressButtonStyle(oConfig4)
  endif






USE COMPANY
STORE CMCODE TO QCOMP

do while .not. eof()
   if cmdefault="Y"
      store cmcode to qcomp
   endif
   skip
enddo


close all

use glcntrl
if eof() .or. month1=' '
  qpost='N'
else
  qpost="Y"
endif

CLOSE ALL
DO MSTRCHEK
CLOSE ALL
//new error var
breakerror=.f.
aPres := ;
  { { XBP_PP_COL_HA_FGCLR, GRA_CLR_WHITE },                  /*  Header FG Color  */     ;
    { XBP_PP_COL_HA_BGCLR, GRA_CLR_DARKGRAY },               /*  Header BG Color  */     ;
    { XBP_PP_COL_DA_HILITE_FGCLR, GRA_CLR_BLACK },           /* SELECTED Col FG Color */     ;
    { XBP_PP_COL_DA_HILITE_BGCLR, GRA_CLR_YELLOW },          /* SELECTED BG Color */     ;
    { XBP_PP_COL_DA_FGCLR, GRA_CLR_BLACK },                  /*  Col FG Color */     ;
    { XBP_PP_COL_DA_BGCLR, GRA_CLR_WHITE }}                  /*  Col BG Color */     ;


//array for presentation in preview window - special bitmap buttons
abuttons := array(9)
abuttons[DCPRINT_BUTTON_FIND]={60,nil,{BITMAP_FIND_1,BITMAP_FIND_2 } }
abuttons[DCPRINT_BUTTON_PRINT]={60,nil,{BITMAP_PRINT_1,BITMAP_PRINT_2 } }
abuttons[DCPRINT_BUTTON_PLUS]={60,nil,{4020,4020 } }
abuttons[DCPRINT_BUTTON_MINUS]={60,nil,{4021,4021 } }
abuttons[DCPRINT_BUTTON_EXIT]={60,nil,BITMAP_CANCEL_1 }
abuttons[DCPRINT_BUTTON_FIRSTPAGE]={60,nil,{BITMAP_TOP_1,BITMAP_TOP_2 } }
abuttons[DCPRINT_BUTTON_LASTPAGE]={60,nil,{BITMAP_BOTTOM_1,BITMAP_BOTTOM_2 } }
abuttons[DCPRINT_BUTTON_NEXTPAGE]={60,nil,{BITMAP_NEXT_1,BITMAP_NEXT_2 } }
abuttons[DCPRINT_BUTTON_PREVPAGE]={60,nil,{BITMAP_PREVIOUS_1,BITMAP_PREVIOUS_2 } }


RETURN
FUNCTION OISRCLCK
   //LOCAL XLOCK
   //XLOCK=.F.
   //DO WHILE .NOT. ( XLOCK := RLOCK() )
nCountr := 0
do while !rlock()
    if nCountr > 5    // after 5 tries give the alert

    n := DC_GuiAlert(,"Unable to lock record #" + LTRIM(STR(RECNO())) + IF(EOF()," (EOF) ","") + " of " + ;
                       IF( !EMPTY(ALIAS()),UPPER(ALIAS())," Work Area #" + LTRIM(STR(SELECT())) ) + ".  ;" + ;
                      "Procedure " + UPPER(PROCNAME(0)) + " -- line " + LTRIM(STR(PROCLINE(0),5)) + ";" + ;
                      "Procedure " + UPPER(PROCNAME(1)) + " -- line " + LTRIM(STR(PROCLINE(1),5)) + ";" + ;
                       " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })
 if n=2
  return .f.
else
  loop
endif



    else                // wait and retry
         nCountr ++
         sleep(10)
   endif
enddo


RETURN .t.



FUNCTION OISUNLCK
   Dbcommit()
   DBUNLOCK()

RETURN NIL

FUNCTION OISFLCK

nCountr := 0
do while !flock()
    if nCountr > 5    // after 5 tries give the alert

    n := DC_GuiAlert(,"Unable to lock record #" + LTRIM(STR(RECNO())) + IF(EOF()," (EOF) ","") + " of " + ;
                       IF( !EMPTY(ALIAS()),UPPER(ALIAS())," Work Area #" + LTRIM(STR(SELECT())) ) + ".  ;" + ;
                      "Procedure " + UPPER(PROCNAME(0)) + " -- line " + LTRIM(STR(PROCLINE(0),5)) + ";" + ;
                      "Procedure " + UPPER(PROCNAME(1)) + " -- line " + LTRIM(STR(PROCLINE(1),5)) + ";" + ;
                       " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })
 if n=2
  return .f.
else
  loop
endif



    else                // wait and retry
         nCountr ++
         sleep(10)
   endif
enddo

RETURN .t.

FUNCTION SCRNPRNT()
DC_SCRN2CLIPBOARD()
DC_PRINTCLIPBOARD(.T.)
RETURN NIL

FUNCTION ois_OpenDBF( cDBF, lExclusive, lNew, cRDD, cAlias, lReadOnly )
***************************************************************************
*** This function assumes that the default RDD is used to open files
*** and that the alias is the default value of the DBF file name without
*** an extension
***------------------------------------------------------------------------
*** This function defaults to NEW and SHARED when not specified
*** (example:  ois_OpenDBF( cDBF )  would open cDBF as SHARED in a NEW area
***************************************************************************
LOCAL n, nPos, nArea
LOCAL nRetries := 0
LOCAL bSaveErrorBlock, oError
LOCAL lShared

cDBF := ALLTRIM( cDBF )+".dbf"
*** assign defaults if parameters not specified
***------------------------------------------------------------------------
lExclusive := IF( lExclusive == Nil, .F., lExclusive )    // default: shared
lShared := !lExclusive
lNew := IF( lNew == Nil, .F., lNew )                      // default: current work area
lReadOnly := IF( lReadOnly == Nil, .F., lReadOnly )       // default: not readonly
cRDD := IF( cRDD == Nil, "FOXCDX", cRDD )                 // default: FOXCDX

IF cAlias == Nil         // if parameter not defined, derive from file name
   cAlias := cDBF

   *** Remove any specified file extension
   ***------------------------------------------------------
   nPos := RAT( '.', cDBF )
   cAlias := IF( nPos > 0, SUBS( cDBF, 1, nPos-1 ), cAlias )

   *** Remove any specified path
   ***------------------------------------------------------
   nPos := RAT( "\", cAlias )
   cAlias := IF( nPos > 0, SUBS( cAlias, nPos+1), cAlias )  // default: DBF file name, no extension
ELSE
   *** use the value passed as parameter
ENDIF
*** Define error block
***------------------------------------------------------------------------
bSaveErrorBlock := ErrorBlock( {|e| Break(e)} )

DO WHILE .T.
   BEGIN SEQUENCE

      DBUSEAREA( lNew, "FOXCDX", cDBF, cAlias, lShared, lReadOnly )
           OrdListAdd(cAlias+'.CDX')



   RECOVER USING oError
      //IF nRetries++ < 20     // try 20 times before reporting error
      //   LOOP
      //ENDIF

      n := 1                 // default user option to 'RETRY'
      IF ( nArea := SELECT( cAlias ) ) <> 0     // cDBF opened successfully
         ***-------------------------------------------------------------------
         *** this section was added when using the USE command instead of the
         *** DBUSEAREA() function; with the USE command, the NetErr() function
         *** was returning .T. every time and the oError:genCode value was
         *** indicating that the file was not open even when it was; the
         *** DBUSEAREA() function does not appear to have the same problem
         ***-------------------------------------------------------------------
        DBSELECTAREA( cAlias )
         ErrorBlock(bSaveErrorBlock)            // Restore old error code block
         RETURN( .T. )

      ELSEIF oError:genCode <> 0                // display warning
      ///if file is CKFORM. SKIP IT.
if  UPPER(cdbf)='CKFORM.DBF'
   RETURN .F.
ENDIF
if  UPPER(cdbf)='EMAILINI.DBF'
   RETURN .F.
ENDIF

if  UPPER(cdbf)='CDXLIST.DBF'
     n := DC_GuiAlert(,"Reindex is being run. ;" + ;
                     "Login can not Continue during Reindex Process ;" + ;
                     "Please try again in a few minutes ;" + ;
                     "File Name: "+cdbf +  ;
                     " " , ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })


return .f.

endif





      ///if file is stopen!!!use this message///
if  UPPER(cdbf)='STOPEN.DBF'

 if lshared
     n := DC_GuiAlert(,"Stop!! Settlements is Running. ;" + ;
                     "This Procedure can not Continue during Settlement Processing ;" + ;
                     "Please try again after Settlements have processed ;" + ;
                     "File Name: "+cdbf +  ;
                     " " , ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })

     RETURN .F.
 else
     n := DC_GuiAlert(,"Unable to continue.  ;" + ;
                     "Settlement files can not be shared. There is a file opened by;" +  ;
                     "another user. Check for users in the following programs:;" +  ;
                     "All Settlement programs, Add/Update Vouchers in Accounts;" +  ;
                     "Payables, Manual Check Input in Cash Disbursements and Advance;" + ;
                     "including Advance lookup in Operations;" + ;
                      "File Name: "+cdbf +" ; " + ;
                      "Remove all users out of the listed programs and select retry;" + ;
                      " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })


                     ///retain code for retry option to become available///

/*     n := DC_GuiAlert(,"Unable to open " + cDBF + ";File in use by another;" + ;
                     "Exclusive use of this file is required to continue ;" + ;
                     " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })

  */
if n=2
  return .f.
else
  loop
endif

 endif



else
 if lshared

     n := DC_GuiAlert(,"Unable to continue.  ;" + ;
                     "The file can not be shared and is opened by another user;" + ;
                      "File Name: "+cdbf +" ; "+ ;
                      "Please wait a few moments and retry;" + ;
                     " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })

 if n=2
  return .f.
else
  loop
endif

 else

     n := DC_GuiAlert(,"Unable to continue.  ;" + ;
                     "The file can not be shared and is opened by another user;" + ;
                      "File Name: "+cdbf + " ; " + ;
                      "Please wait a few moments and retry;" + ;
                     " " ,{ "Retry", "Quit" } ,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })


if n=2
  return .f.
else
  loop
endif

 endif

endif

/*
        n := ALERT( "Unable to open " + cDBF + ";File may be in use by another;;" + ;
                     "oError:operation = " + oError:operation + ";" + ;
                     "oError:description = " + oError:description + ";" + ;
                     "oError:genCode = " + LTRIM( STR( oError:genCode, 4 ) ) + ";" + ;
                     "oError:osCode = " + LTRIM( STR( oError:osCode, 4 ) ) + ";" + ;
                     "NetErr() = " + IF( NetErr(), "True", "False"  ), ;
                     { "Retry", "Quit" } )
 */

      ELSE
         n := ALERT( "Unknown error encountered!", { "Retry", "Quit" } )

      ENDIF

      IF n <> 1
         ErrorBlock(bSaveErrorBlock)       // Restore old error code block
         RETURN( .F. )                     // return and report unsuccessful
      ELSE
         nRetries := 0                     // Reset for another 20 retries
         LOOP                              // Retry
      ENDIF

   ENDSEQUENCE
   EXIT                                    // exit DO WHILE if successful
ENDDO

ErrorBlock(bSaveErrorBlock)       // Restore old error code block

RETURN( .T. )                     // return and report success

Function Specpass(pwok)

LOCAL GetList := {}, GetOptions

store security->password to pWord
VDSECCD=space(20)

      @ 02,01 DCSAY "Password " GET VDSECCD   saysize 0 password ;
        VALID {|x|x:=alltrim(vdseccd)=alltrim(pWord), ;
IIF( !x,DC_GuiAlert(,"Not a Valid Password" ,,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" }),nil), ;
                     x }


DCGETOPTIONS NORESIZE  ;
COLOR &QQTWO NOMINBUTTON NOMAXBUTTON sayrightbottom


DCREAD GUI FIT ADDBUTTONS TO lOk ENTEREXIT ;
   OPTIONS GetOptions Modal


if !lOk
  return .f.
endif

pwok=.t.

return pwok

FUNCTION SetTagOrder( cOrder,cIndex )



OrdSetFocus(cOrder)
IF Upper(OrdSetFocus()) # upper(cOrder)

IF IsFunction('DC_WaitOnObject')
aWaitOn := DC_Do('DC_WaitOnObject()')
IF Valtype(aWaitOn) == 'A'
DC_Impl(aWaitOn)
ENDIF
ENDIF

//MsgBox('Tag ' + cOrder + ' is missing from ' + cIndex)
DC_GuiAlert(,'Tag ' + cOrder + ' is missing from ' + cIndex+'.;Program will be Terminated' ,,14,"Error Warning",,,{"9.Arial Bold","9.Arial Bold" })
        close all
        Break()
RETURN .f.
ENDIF

RETURN .t.
Function lb_round(nvalue,ndecimals)

return INT((nvalue*10^ndecimals)+0.5000009)/10^ndecimals

Function Uplog(logtype,logid,logfield,logftype,logfrom,logto)


  if (logfield='ADD' .and. len(logfield)=3) .or. logfield='DELETE'

  else
if empty(logfield)
        return nil
endif



if logftype="D"
        store dtoc(logfrom) to lfrom
        store dtoc(logto) to lto
else
        if logftype="N"
        store alltrim(str(logfrom)) to lfrom
        store alltrim(str(logto)) to lto
        else
                if logftype="L"
                if logfrom=.t.
                        store 'True' to lfrom
                else
                        store 'False' to lfrom
                endif
                if logto=.t.
                        store 'True' to lto
                else
                        store 'False' to lto
                endif

                else

        store alltrim(logfrom) to lfrom
        store alltrim(logto) to lto
                endif
        endif

endif


  endif



select 0
use omnilog
append blank
replace filecode with logtype
if filecode="J" .or. filecode='A' .or. filecode="C"
replace filekey2 with logid
else
replace filekey with logid
endif



replace filedate with date()
replace filetime with substr(time(),1,2)+substr(time(),4,2)
replace fileuser with oisuser
if logfield='ADD' .and. len(logfield)=3
replace fileupdate with 'Added Record'
else
        if logfield='DELETE'
replace fileupdate with 'Deleted Record'
        else
        if empty(lfrom)
replace fileupdate with "Changed "+alltrim(logfield)+' to '+lto
        else
replace fileupdate with "Changed "+alltrim(logfield)+' from '+lfrom+' to '+lto
        endif

        endif
endif

if logtype="E"
        replace fileupdate with alltrim(fileupdate)+" ("+stdeduct->sdtrancd+"/REF->"+stdeduct->sdref+")"
endif

oisunlck()
use


return nil

Function Viewlogs(logtype,logid)

LOCAL GetList := {}, GetOptions

ldatatooltips=.t.
select 98
use omnilog order omnilog
if logtype="J" .or. logtype='A' .or. logtype="C"
        set order to longkey
endif

SET SCOPETOP to logtype+logid
SET SCOPEBOTTOM to logtype+logid

DC_DbGoTop()

@ 1,0 DCBROWSE oBrowse ALIAS 'Omnilog' ;
      NOSIZECOLS PRESENTATION APRES CURSORMODE XBPBRW_CURSOR_ROW   ;
      SIZE 80,10 fit


DCBROWSECOL PARENT oBrowse FIELD omnilog->filedate HEADER 'Date' WIDTH 9
DCBROWSECOL PARENT oBrowse FIELD omnilog->filetime HEADER 'Time' WIDTH 4
DCBROWSECOL PARENT oBrowse FIELD omnilog->fileuser HEADER 'User' WIDTH 7
DCBROWSECOL PARENT oBrowse FIELD omnilog->fileupdate HEADER 'Comments' WIDTH 40 ;
DATATOOLTIP { ||ldatatooltips }

@ 13,21 dcsay "Hover Comments to View All" font '9.Arial Bold' saysize 40 sayleftbottom

@13,01 DCPUSHBUTTON CAPTION 'Exit' SIZE 9,1.2 ;
     ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} ;


  DCGETOPTIONS NORESIZE  COLOR &QQFOUR NOMINBUTTON NOMAXBUTTON  TABSTOP ;
  TOOLTIPCOLOR GRA_CLR_BLACK, GRA_CLR_YELLOW  CHECKGET ;



DCREAD GUI FIT  TITLE 'Log History - '+logid Options Getoptions Modal  ;
      SETAPPWINDOW




select 98
use
return nil
